From: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Date: Tue, 19 Oct 2021 14:13:27 +0000
Subject: s5k3l6xx: Rename media device

There's only 1 media device in this sensor, so there's no reason to name it -CIS.
At the same time, this names the device after the driver for consistency with other sensor drivers.
---
 drivers/media/i2c/s5k3l6xx.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index 9fdfb5c..1a1c239 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -1299,8 +1299,6 @@ static int s5k3l6xx_configure_subdevs(struct s5k3l6xx *state,
 	v4l2_info(&state->sd, "probe sd %px", (void*)&state->sd);
 	sd = &state->sd;
 	v4l2_i2c_subdev_init(sd, c, &s5k3l6xx_subdev_ops);
-	snprintf(sd->name, sizeof(sd->name), "S5K3L6-CIS %d-%04x",
-		 i2c_adapter_id(c->adapter), c->addr);
 	v4l2_info(sd, "probe i2c %px", (void*)c);
 
 	sd->flags |= V4L2_SUBDEV_FL_HAS_DEVNODE;
